Up

# NSImageView

### Authors

Ovidiu Predescu (`ovidiu@net-community.com`)
Jonathan Gapen (`jagapen@smithlab.chem.wisc.edu`)

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSImageView class

## NSImageView : NSControl

> Declared in:
>   AppKit/NSImageView.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -image
- -imageAlignment
- -imageFrameStyle
- -imageScaling
- -isEditable
- -setEditable:
- -setImage:
- -setImageAlignment:
- -setImageFrameStyle:
- -setImageScaling:

### image

- (NSImage*) image;

Description forthcoming.

### imageAlignment

- (NSImageAlignment) imageAlignment;

Description forthcoming.

### imageFrameStyle

- (NSImageFrameStyle) imageFrameStyle;

Description forthcoming.

### imageScaling

- (NSImageScaling) imageScaling;

Description forthcoming.

### isEditable

- (BOOL) isEditable;

Description forthcoming.

### setEditable:

- (void) setEditable: (BOOL)flag;

Description forthcoming.

### setImage:

- (void) setImage: (NSImage*)image;

Description forthcoming.

### setImageAlignment:

- (void) setImageAlignment: (NSImageAlignment)align;

Description forthcoming.

### setImageFrameStyle:

- (void) setImageFrameStyle: (NSImageFrameStyle)style;

Description forthcoming.

### setImageScaling:

- (void) setImageScaling: (NSImageScaling)scaling;

Description forthcoming.

Up